Bug 1571522 - Reduce fontconfig priority to higher than 65
Summary: Reduce fontconfig priority to higher than 65
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: google-droid-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 04:30 UTC by Jens Petersen
Modified: 2019-11-01 07:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Jens Petersen 2018-04-25 04:30:20 UTC
Description of problem:
Droid Sans fonts currently have high priority of 65 in Fedora
and since the fonts get pulled in libgs they are now installed by default...
Can the priority of the fonts please be reduced (eg increased to 66 or higher)?

Version-Release number of selected component (if applicable):
google-droid-fonts-20120715-13.fc28

Steps to Reproduce:
1. Boot F28 Live WS
2. $ fc-match :lang=th

Actual results:
DroidSansThai is default for Thai

Expected results:
Thai Scalable Waree should be default

Comment 1 Nicolas Mailhot 2018-04-26 09:51:00 UTC
If Thai Scalable Waree is expected to be the default for Thai it should boost its priority under thai locale with 

https://pagure.io/fontpackages/blob/master/f/fontconfig-templates/l10n-font-template.conf
https://pagure.io/fontpackages/blob/master/f/fontconfig-templates/l10n-font-template.txt

There’s no other good way to make a locale-specific font more important than a wide encoding font such as Droid

Comment 2 Akira TAGOH 2018-05-01 06:52:03 UTC
Unfortunately that doesn't work as long as google-droid-sans.conf sits down at 65 because of the order of filename in alphabetical. even though "Waree" is also put into 65-nonlatin.conf which fontconfig  upstream ships, it comes after google-droid-sans.conf because of the same reason.
Some font packages has 65-n- prefix to work this around but I think we should update the fontconfig priorities policy[1] with more details, for default and for non-default fonts say.

[1] https://pagure.io/fontpackages/blob/master/f/fontconfig-templates/fontconfig-priorities.txt

Comment 3 Jan Kurik 2018-08-14 10:05:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Ben Cotton 2019-10-31 20:54:17 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Jens Petersen 2019-11-01 07:00:58 UTC
Moving to Rawhide FutureFeature assuming this is still true


Note You need to log in before you can comment on or make changes to this bug.